Subject: RE: [Mipshop] FMIPv6 - NAR sets up tunnel endpoint?

From: "GAABAB Brahim RD-CORE-CAE" <[email-masked]>
Date: Fri, 9 Sep 2005 14:47:20 +0200

Alex, answers inline.

> -----Message d'origine-----
> De : Alexandru Petrescu [mailto:[email-masked]] 
> Envoyé : jeudi 8 septembre 2005 19:51
> À : GAABAB Brahim RD-CORE-CAE
> Cc : Alexandru Petrescu; [email-masked]
> Objet : Re: [Mipshop] FMIPv6 - NAR sets up tunnel endpoint?
> 
> GAABAB Brahim RD-CORE-CAE wrote:
> 
> > Alex, comments inline.
> > 
> > 
> >> De : Alexandru Petrescu
> >> 
> >> GAABAB Brahim RD-CORE-CAE wrote:
> >> 
> >>> Hi Alex,
> >>> 
> >>> I think there is a misunderstanding here. Should read it 
> like this : 
> >>> "The NAR MAY also set up a reverse tunnel to the PAR in
> >> 
> >> this case.", i.e. when no NCoA can be assigned to the MN.
> >> 
> >> Right, I have read it too quickly previously.  The host route and 
> >> NAR-PAR tunnels are set up when the NCoA is impossible to be 
> >> assigned. I hope in that case the tunnel endpoint on PAR points to 
> >> NAR (instead of pointing to NCoA).
> >
> > 
> > 
> > Right.
> 
> Actually, reading further through the draft I find that NAR 
> establishes a host-route to PCoA also when MN sends FNA with 
> an address that is acceptable ("When the NCoA corresponding 
> to the FNA message is acceptable, the NAR MUST ... enable the 
> host route entry for PCoA, if any is present.")
> 
> I am completely lost: NAR MAY set up host-routes for PCoA if 
> the NCoA can not be allocated after HI and MUST set it if MN 
> proposes a usable NCoA in FNA.

There is a subtile difference in the use of "set up"  and "enable". Actually, it is the same host route.

> 
> >>> I agree that the spec should be more clarified..
> >> 
> >> Maybe clarification about the fact that PAR-NAR tunnels 
> are possible 
> >> as well as PAR-MN.
> > 
> > 
> > The only tunnel described in the spec is just between pAR and nAR.
> 
> First par on page 7 has "reverse tunnel between the MN and 
> the PAR", so the tunnel between pAR and nAR is not the only 
> one, there is also the possibility of tunnel between PAR and MN.
> 
> This is ambiguous and may be critical.  A tunnel endpoint on 
> PAR should precisely specify which is the other tunnel 
> endpoint.  If it specifies NCoA as other tunnel endpoint then 
> it will forward packets to NCoA and only the MN receiving it 
> can decapsulate it, NAR will not decapsulate that packet 
> because the destination address of that packet is not any of 
> the NAR's addresses (NAR will try to just forward, not decapsulate).

Basically, FMIPv6 relies on one tunnel pAR == nCoA that is a result of FBU/FBAck exchange.
In the case when no nCoA can be assigned to the MN (the MN continue usign its pCoA even on the nAR link), FMIPv6 uses another tunnel pAR == nAR (combined with the host route) till the MN finishes configuring a nCoA.

See below for detail (from the spec, top of page 14) : 
"If the MN receives a Router Advertisement with a NAACK option, it
   MUST use the IP address, if any, provided in the NAACK option.
   Otherwise, the MN should configure another NCoA.  Subsequently, the
   MN SHOULD send an FBU using the new CoA.  As a special case, the
   address supplied in NAACK could be PCoA itself, in which case the MN
   MUST NOT send any more FBUs."

Here is explanation of flow when no nCoA can be assigned, and just before the FBU:FBAck finshes.
MN (uses pCoA)-------- nAR =======pAR-----Internet
                       --> (1)    <-- (3)
                       <-- (2)

(1) tunnels from pCoA to pAR
(2) uses host route
(3) tunnels to nAR

Brahim.

> 
> > Until the MN configures a valid nCoA, communications is as follows :
> > 
> > MN (uses pCoA)------------ nAR =====================================
> > pAR-----Internet (1)                                --> tunnels from
> > pCoA to pAR
> > 
> > (2)       uses hostroute for pCoA <--
> 
> Sorry I can't see the diagram... (white-space formatting may be why).
> 
> > 
> > This is said explicitly in bottom of page 26, section 6.2.2 
> "  The NAR 
> > MAY provide support for PCoA (instead of accepting or 
> assigning NCoA), 
> > establish a host route entry for PCoA, and set up a tunnel 
> to the PAR 
> > to forward MN's packets sent with PCoA as a source IP address."
> 
> I agree it is said that NAR may install a host route for PCoA 
> towards its wireless interface.  As I said on the mail titled 
> "NAR sets up host
> route": when is that route deleted?  when is the similar 
> route on PAR deleted?
> 
> > 
> > (3)                                         tunnels packets 
> for pCoA 
> > to nAR <-- However, the step (3) is not explicitly mentioned.
> > Furthermore, does the nAR use 0 or 1 for the status flag of 
> Hack ? I 
> > think that in case when no nCoA can be assigend (even the proposed 
> > nCoA), the spec is not explicit.
> 
> It's the "Code" field of HAck, nor "status", right?  I think 
> it should use value a new value, 5, "Handover Accepted, NCoA 
> not accepted and not assigned".
> 
> Alex
> 

_______________________________________________
Mipshop mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mipshop

---

From: Alexandru Petrescu <[email-masked]>
Date: Fri, 09 Sep 2005 16:39:40 +0200

GAABAB Brahim RD-CORE-CAE wrote:

>> This is ambiguous and may be critical.  A tunnel endpoint on PAR 
>> should precisely specify which is the other tunnel endpoint.  If it
>>  specifies NCoA as other tunnel endpoint then it will forward 
>> packets to NCoA and only the MN receiving it can decapsulate it, 
>> NAR will not decapsulate that packet because the destination 
>> address of that packet is not any of the NAR's addresses (NAR will 
>> try to just forward, not decapsulate).
> 
> 
> Basically, FMIPv6 relies on one tunnel pAR == nCoA that is a result 
> of FBU/FBAck exchange. In the case when no nCoA can be assigned to 
> the MN (the MN continue usign its pCoA even on the nAR link), FMIPv6 
> uses another tunnel pAR == nAR (combined with the host route) till 
> the MN finishes configuring a nCoA.

Ok, I understand, thanks. Host-route on NAR to PCoA in combination with
tunnel PAR-NAR (instead of tunnel PAR-NCoA) is used when no NCoA can be
assigned by NAR or pre-cofingured by MN.

Still, it is not clear from the document when are the tunnel endpoints
created at PAR, NAR and MN.  And it is not clear from the document when
are the host-routes at NAR deleted.

It is not clear from the document that the tunnel destination for PAR's
tunnel endpoint can be either NAR's address or NCoA's address.

> See below for detail (from the spec, top of page 14) : "If the MN
> receives a Router Advertisement with a NAACK option, it MUST use the
> IP address, if any, provided in the NAACK option. Otherwise, the MN
> should configure another NCoA.  Subsequently, the MN SHOULD send an
> FBU using the new CoA.  As a special case, the address supplied in
> NAACK could be PCoA itself, in which case the MN MUST NOT send any
> more FBUs."
> 
> 
> 

Ok.

Alex